---
lang: en
title: 'API docs: rest.nodewithvalue'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.nodewithvalue.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [NodeWithValue](./rest.nodewithvalue.md)

## NodeWithValue type

**Signature:**

```typescript
export type NodeWithValue<T> = Node<T> & {
    value: T;
};
```
**References:** [Node](./rest.node.md)


